# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate libsqlite3-sys

Name:           rust-libsqlite3-sys
Version:        0.30.1
Release:        %mkrel 2
Summary:        Native bindings to the libsqlite3 library
Group:          Development/Rust
BuildArch:      noarch

License:        MIT
URL:            https://crates.io/crates/libsqlite3-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove features for building vendored sqlite3 and sqlcipher sources
# * drop Windows- and WASM-specific features
# * exclude files that are only useful for upstream development
# * drop unused support for sqlcipher
Patch:          libsqlite3-sys-fix-metadata.diff
# * unconditionally enable building with bindgen and pkg-config
Patch1:         0001-unconditionally-enable-building-with-bindgen-and-pkg.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(sqlite3) >= 3.7.16
BuildRequires:  rust-bindgen0.69-devel

%global _description %{expand:
Native bindings to the libsqlite3 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(sqlite3) >= 3.7.16
Requires:       rust-bindgen0.69-devel
Requires:       rust-bindgen0.69+runtime-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+buildtime_bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+buildtime_bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "buildtime_bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+buildtime_bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+min_sqlite_version_3_14_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+min_sqlite_version_3_14_0-devel %{_description}

This package contains library source intended for building other packages which
use the "min_sqlite_version_3_14_0" feature of the "%{crate}" crate.

%files       -n %{name}+min_sqlite_version_3_14_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+preupdate_hook-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+preupdate_hook-devel %{_description}

This package contains library source intended for building other packages which
use the "preupdate_hook" feature of the "%{crate}" crate.

%files       -n %{name}+preupdate_hook-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+session-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+session-devel %{_description}

This package contains library source intended for building other packages which
use the "session" feature of the "%{crate}" crate.

%files       -n %{name}+session-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unlock_notify-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unlock_notify-devel %{_description}

This package contains library source intended for building other packages which
use the "unlock_notify" feature of the "%{crate}" crate.

%files       -n %{name}+unlock_notify-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# * remove bundled copies of sqlite and sqlcipher
rm -vr sqlite3/ sqlcipher/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Sat Apr 26 2025 wally <wally> 0.30.1-2.mga10
+ Revision: 2178938
- update bindgen reqs
- update RPM group to Development/Rust

* Sun Oct 20 2024 wally <wally> 0.30.1-1.mga10
+ Revision: 2108836
- imported package rust-libsqlite3-sys


* Sat Oct 19 2024 Jani Välimaa <wally@mageia.org> - 0.30.1-1
- Initial package
